org.wildfly.swarm.undertow.descriptors

## Class Servlet

- java.lang.Object
- - org.wildfly.swarm.undertow.descriptors.Servlet

-     public class Servlet
      extends Object

  Author:
    Ken Finnigan

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Servlet(String servletName, String servletClass)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Boolean` | `asyncSupported()`
    `String` | `description()`
    `String` | `displayName()`
    `boolean` | `enabled()`
    `Map<String,String>` | `initParams()`
    `Integer` | `loadOnStartup()`
    `String` | `servletClass()`
    `String` | `servletName()`
    `List<String>` | `urlPatterns()`
    `Servlet` | `withAsyncSupported(boolean async)`
    `Servlet` | `withDescription(String description)`
    `Servlet` | `withDisplayName(String displayName)`
    `Servlet` | `withEnabled(boolean enabled)`
    `Servlet` | `withInitParam(String name, String value)`
    `Servlet` | `withInitParams(Map<String,String> params)`
    `Servlet` | `withLoadOnStartup(Integer loadOnStartup)`
    `Servlet` | `withUrlPattern(String urlPattern)`
    `Servlet` | `withUrlPatterns(List<String> urlPatterns)`
    `Servlet` | `withUrlPatterns(String... urlPatterns)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Servlet

          public Servlet(String servletName,
                         String servletClass)

  - ### Method Detail

    - #### servletName

          public String servletName()

    - #### servletClass

          public String servletClass()

    - #### withDisplayName

          public Servlet withDisplayName(String displayName)

    - #### displayName

          public String displayName()

    - #### withDescription

          public Servlet withDescription(String description)

    - #### description

          public String description()

    - #### withAsyncSupported

          public Servlet withAsyncSupported(boolean async)

    - #### asyncSupported

          public Boolean asyncSupported()

    - #### withLoadOnStartup

          public Servlet withLoadOnStartup(Integer loadOnStartup)

    - #### loadOnStartup

          public Integer loadOnStartup()

    - #### withEnabled

          public Servlet withEnabled(boolean enabled)

    - #### enabled

          public boolean enabled()

    - #### withInitParam

          public Servlet withInitParam(String name,
                                       String value)

    - #### withInitParams

          public Servlet withInitParams(Map<String,String> params)

    - #### initParams

          public Map<String,String> initParams()

    - #### withUrlPattern

          public Servlet withUrlPattern(String urlPattern)

    - #### withUrlPatterns

          public Servlet withUrlPatterns(String... urlPatterns)

    - #### withUrlPatterns

          public Servlet withUrlPatterns(List<String> urlPatterns)

    - #### urlPatterns

          public List<String> urlPatterns()

Copyright © 2018 JBoss by Red Hat. All rights reserved.